<?php 

// application/forms/Ejemplo.php
class Mdw_Form_Ejemplo extends Zend_Form {

    public function init() {

        $this->setName('frmEjemplo')
              ->setAction('/index')
              ->setEnctype('multipart/form-data')
              ->setMethod('post')
              ->setAttrib('class', 'frmClass');
        
        $this->addElement(
          'text',
          'nombre',
          array('required' => true, 'label' => 'Nombre', 'validators' => array('Alpha'))
        );
        
        $this->addElement(
          'radio',
          'sexo',
          array(
            'required' => true,
            'label' => 'Sexo',
            'multiOptions' => array('h' => 'Hombre', 'm' => 'Mujer')
          )
        );
        
        $this->addElement(
          'select',
          'como_conociste',
          array(
            'required' => true,
            'label' => 'Como nos conociste?',
            'multiOptions' => array('1' => 'Por buscadores', '2' => 'Recomendacion')
          )
        );
 
        // agregamos filters a todos los elementos del form       
        $this->setElementFilters(array('StringTrim', 'StripTags'));
        
        $this->addElement('submit', 'enviar', array('label' => 'Enviar'));
 
    }
}